/*
	This file is part of The Adventures of Stickman by Matt Trobaugh, which is dedicated to the public domain under a CC0 Public Domain Dedication. To view a copy of this dedication, visit http://creativecommons.org/publicdomain/zero/1.0/.

	The Adventures of Stickman is built on the Turpidge Game Engine version 1.1 by Matt Trobaugh.
*/

try{





spells = new Spells();

// (name, image, canTarget, mp, range, splashRange, effects, effectStats, cures, inflicts)
spells.addSpell("Heal", "heal.png", "ally", 3, 3, 0, "+5", "HP", "", "");
spells.addSpell("Heal 2", "heal2.png", "ally", 7, 3, 1, "+10", "HP", "", "");
spells.addSpell("Heal 3", "heal3.png", "ally", 15, 3, 0, "+25", "HP", "", "");

// (name, image, canTarget, mp, range, splashRange, effects, effectStats, cures, inflicts)
spells.addSpell("Boost", "boostSpell.png", "ally", 5, 3, 0, "", "", "", "boosted");
spells.addSpell("Shield", "shieldSpell.png", "ally", 2, 3, 0, "", "", "", "shielded");
spells.addSpell("Shield 2", "shieldSpell2.png", "ally", 5, 3, 2, "", "", "", "shielded");

// (name, image, canTarget, mp, range, splashRange, effects, effectStats, cures, inflicts)
spells.addSpell("Spark", "spark.png", "enemy", 5, 3, 0, "-5", "HP", "", "");
spells.addSpell("Fireball", "fireball.png", "enemy", 10, 3, 1, "-8", "HP", "", "");
spells.addSpell("Nuke", "nuke.png", "enemy", 20, 4, 2, "-11", "HP", "", "");
spells.addSpell("Laser", "laser.png", "enemy", 20, 4, 0, "-17", "HP", "", "");

// (name, image, canTarget, mp, range, splashRange, effects, effectStats, cures, inflicts)
spells.addSpell("Immobilize", "immobilize.png", "enemy", 7, 3, 0, "", "", "boosted", "immobilized");
spells.addSpell("Shrink", "shrink.png", "enemy", 7, 3, 0, "", "", "boosted", "shrunken");



statusConditions = new StatusConditions();

//						(name, effects, effectStats, counters)
statusConditions.addCondition("boosted", "+5", "attack", 3);
statusConditions.addCondition("shielded", "+5", "defense", 3);

//						(name, effects, effectStats, counters)
statusConditions.addCondition("immobilized", "-100", "moveRange", 3);
statusConditions.addCondition("shrunken", "-7,-7", "attack,defense", 3);







}
catch(e)
{
	alert("An error has occurred in spells.js\n\n" + e);
}
